New Versions of dotConnect ADO.NET Providers with Entity Framework 6 Alpha 2 Support!

January 17, 2013

Devart is glad to announce the release of the new versions of ADO.NET data providers, enhanced database connectivity solutions, built over the ADO.NET architecture, that support Entity Framework and LinqConnect ORM solutions. New versions of dotConnect data providers offer you support for Entity Framework 6 Alpha 2.

Now our users can use such Entity Framework 6 features as custom Code-First conventions, which allow you to easily configure default property mapping or other settings, support for enums and spatials on .NET Framework 4.0, code-based configuration, better performance, etc.

dotConnect for Oracle now supports Entity Framework Spatials on .NET Framework 4.0.

Entity Developer also supports creating and designing Entity Framework 6 models. When creating or editing an Entity Framework model, you can set the target Entity Framework version in the Model Settings. Entity Developer generates valid code, compatible with Entity Framework 6.

You can read more about Entity Framework 6 support in our blog article Entity Framework 6 Support for Oracle, MySQL, PostgreSQL, SQLite and Salesforce.

If you need another feature in Entity Framework support, visit our forum at UserVoice and vote for suggested features or suggest your own one.

If you wish to provide feedback on the new versions, you can do it in our forums or with contact form. There is also a feedback form in the support zone of every product. We are always glad to hear your comments and take into account your development needs.